From 5d8c2f03d8633ca4c297fec843a39db9c1ec3db8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Antoine=20C=C5=93ur?= <coeur@gmx.fr>
Date: Thu, 4 Jul 2019 19:43:48 +0800
Subject: [PATCH] BaseTools: Fix various typos

Fix various typos in BaseTools.
---
 BaseTools/Conf/XMLSchema/DistributionPackage.xsd          | 8 ++++----
 .../plugins/EdkPlugins/edk2/model/doxygengen.py           | 2 +-
 .../plugins/EdkPlugins/edk2/model/doxygengen_spec.py      | 2 +-
 BaseTools/Source/C/Common/FirmwareVolumeBuffer.c          | 4 ++--
 BaseTools/Source/C/Include/Common/BaseTypes.h             | 2 +-
 BaseTools/Source/C/Makefiles/NmakeSubdirs.py              | 2 +-
 BaseTools/Source/C/VfrCompile/Pccts/antlr/lex.c           | 2 +-
 BaseTools/Source/C/VfrCompile/Pccts/h/err.h               | 2 +-
 BaseTools/Source/Python/AutoGen/AutoGen.py                | 4 ++--
 BaseTools/Source/Python/BPDG/GenVpd.py                    | 6 +++---
 BaseTools/Source/Python/Common/ToolDefClassObject.py      | 2 +-
 BaseTools/Source/Python/UPT/Library/DataType.py           | 2 +-
 BaseTools/Source/Python/UPT/Library/StringUtils.py        | 2 +-
 BaseTools/Source/Python/UPT/Logger/StringTable.py         | 2 +-
 .../Python/UPT/Object/Parser/InfBuildOptionObject.py      | 2 +-
 15 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/BaseTools/Conf/XMLSchema/DistributionPackage.xsd b/BaseTools/Conf/XMLSchema/DistributionPackage.xsd
index 7499c325c3..67be9c8f32 100644
--- a/BaseTools/Conf/XMLSchema/DistributionPackage.xsd
+++ b/BaseTools/Conf/XMLSchema/DistributionPackage.xsd
@@ -166,7 +166,7 @@ SPDX-License-Identifier: BSD-2-Clause-Patent
               Package.
             </xs:documentation>
             <xs:documentation xml:lang="en-us">
-              Each Distribution Package is uniquely identified by it's
+              Each Distribution Package is uniquely identified by its
               GUID and Version number.
             </xs:documentation>
           </xs:annotation>
@@ -363,7 +363,7 @@ SPDX-License-Identifier: BSD-2-Clause-Patent
         Modules.
       </xs:documentation>
       <xs:documentation xml:lang="en-us">
-        Each package is uniquely identified by it's GUID and Version number.
+        Each package is uniquely identified by its GUID and Version number.
         Backward compatible releases of a package need only change the version number, while non-backward
         compatible changes require the GUID to change (resetting the version number to 1.0 is optional.)
       </xs:documentation>
@@ -1168,7 +1168,7 @@ SPDX-License-Identifier: BSD-2-Clause-Patent
   <xs:element name="ModuleSurfaceArea">
     <xs:annotation>
       <xs:documentation xml:lang="en-us">
-        Each module is uniquely identified by it's GUID and Version number.
+        Each module is uniquely identified by its GUID and Version number.
         Backward compatible releases of a module need only change the version number, while non-backward
         compatible changes require the GUID to change (resetting the version number to 1.0 is optional.)
       </xs:documentation>
@@ -3092,7 +3092,7 @@ SPDX-License-Identifier: BSD-2-Clause-Patent
           <xs:documentation xml:lang="en-us">
             The Patch PCD is a #define that is set at build time, and that
             can be modified within a binary file. Additional information, such as the offset location of the
-            value, along with it's length may need to be provided.
+            value, along with its length may need to be provided.
           </xs:documentation>
         </xs:annotation>
       </xs:enumeration>
diff --git a/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen.py b/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen.py
index d0274d6afd..89833043c6 100644
--- a/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen.py
+++ b/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen.py
@@ -792,7 +792,7 @@ class PackageDocumentAction(DoxygenAction):
         Generate page for a module/library.
         @param infObj     INF file object for module/library
         @param configFile doxygen config file object
-        @param isLib      Whether this module is libary
+        @param isLib      Whether this module is library
 
         @param module doxygen page object
         """
diff --git a/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen_spec.py b/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen_spec.py
index 3ba4eed55e..e37938c466 100644
--- a/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen_spec.py
+++ b/BaseTools/Scripts/PackageDocumentTools/plugins/EdkPlugins/edk2/model/doxygengen_spec.py
@@ -793,7 +793,7 @@ class PackageDocumentAction(DoxygenAction):
         Generate page for a module/library.
         @param infObj     INF file object for module/library
         @param configFile doxygen config file object
-        @param isLib      Whether this module is libary
+        @param isLib      Whether this module is library
 
         @param module doxygen page object
         """
diff --git a/BaseTools/Source/C/Common/FirmwareVolumeBuffer.c b/BaseTools/Source/C/Common/FirmwareVolumeBuffer.c
index 6e1914be29..70741c8afc 100644
--- a/BaseTools/Source/C/Common/FirmwareVolumeBuffer.c
+++ b/BaseTools/Source/C/Common/FirmwareVolumeBuffer.c
@@ -937,7 +937,7 @@ Arguments:
 
   Fv - Address of the Fv in memory
   Key - Should be 0 to get the first file.  After that, it should be
-        passed back in without modifying it's contents to retrieve
+        passed back in without modifying its contents to retrieve
         subsequent files.
   File - Output file pointer
     File == NULL - invalid parameter
@@ -1323,7 +1323,7 @@ Arguments:
   SectionsStart - Address of the start of the FFS sections array
   TotalSectionsSize - Total size of all the sections
   Key - Should be 0 to get the first section.  After that, it should be
-        passed back in without modifying it's contents to retrieve
+        passed back in without modifying its contents to retrieve
         subsequent files.
   Section - Output section pointer
     (Section == NULL) -> invalid parameter
diff --git a/BaseTools/Source/C/Include/Common/BaseTypes.h b/BaseTools/Source/C/Include/Common/BaseTypes.h
index 9844d1d514..31d0662085 100644
--- a/BaseTools/Source/C/Include/Common/BaseTypes.h
+++ b/BaseTools/Source/C/Include/Common/BaseTypes.h
@@ -151,7 +151,7 @@ typedef struct {
 
 ///
 ///  _CR - returns a pointer to the structure
-///      from one of it's elements.
+///      from one of its elements.
 ///
 #define _CR(Record, TYPE, Field)  ((TYPE *) ((CHAR8 *) (Record) - (CHAR8 *) &(((TYPE *) 0)->Field)))
 
diff --git a/BaseTools/Source/C/Makefiles/NmakeSubdirs.py b/BaseTools/Source/C/Makefiles/NmakeSubdirs.py
index 30a481613e..356f5aca63 100644
--- a/BaseTools/Source/C/Makefiles/NmakeSubdirs.py
+++ b/BaseTools/Source/C/Makefiles/NmakeSubdirs.py
@@ -104,7 +104,7 @@ class ThreadControl(object):
         while len(self.running) > 0:
             time.sleep(0.1)
         if self.error:
-            print("subprocess not exit sucessfully")
+            print("subprocess not exit successfully")
             print(self.errorMsg)
 
     def startTask(self):
diff --git a/BaseTools/Source/C/VfrCompile/Pccts/antlr/lex.c b/BaseTools/Source/C/VfrCompile/Pccts/antlr/lex.c
index 357b8ace01..fddb46bbc3 100644
--- a/BaseTools/Source/C/VfrCompile/Pccts/antlr/lex.c
+++ b/BaseTools/Source/C/VfrCompile/Pccts/antlr/lex.c
@@ -298,7 +298,7 @@ genDefFile( )
 					/* look in all lexclasses for the reg expr */
 
 /* MR10  Derek Pappas                                                */
-/* MR10     A #tokclass doesn't have associated regular expressiones */
+/* MR10     A #tokclass doesn't have associated regular expressions */
 /* MR10        so don't warn user about it's omission                */
 
                     p = (TermEntry *) hash_get(Tname, TokenString(i));
diff --git a/BaseTools/Source/C/VfrCompile/Pccts/h/err.h b/BaseTools/Source/C/VfrCompile/Pccts/h/err.h
index b2b196bd75..435d48356d 100644
--- a/BaseTools/Source/C/VfrCompile/Pccts/h/err.h
+++ b/BaseTools/Source/C/VfrCompile/Pccts/h/err.h
@@ -649,7 +649,7 @@ _inf_zzgettok()
 /* allocate default size text,token and line arrays;
  * then, read all of the input reallocing the arrays as needed.
  * Once the number of total tokens is known, the LATEXT(i) array (zzinf_text)
- * is allocated and it's pointers are set to the tokens in zzinf_text_buffer.
+ * is allocated and its pointers are set to the tokens in zzinf_text_buffer.
  */
 void
 #ifdef __USE_PROTOS
diff --git a/BaseTools/Source/Python/AutoGen/AutoGen.py b/BaseTools/Source/Python/AutoGen/AutoGen.py
index e8e09dc8a3..a2077c5516 100644
--- a/BaseTools/Source/Python/AutoGen/AutoGen.py
+++ b/BaseTools/Source/Python/AutoGen/AutoGen.py
@@ -3030,7 +3030,7 @@ class ModuleAutoGen(AutoGen):
                 IncPathList = [NormPath(Path, self.Macros) for Path in BuildOptIncludeRegEx.findall(FlagOption)]
             else:
                 #
-                # RVCT may specify a list of directory seperated by commas
+                # RVCT may specify a list of directory separated by commas
                 #
                 IncPathList = []
                 for Path in BuildOptIncludeRegEx.findall(FlagOption):
@@ -3994,7 +3994,7 @@ class ModuleAutoGen(AutoGen):
     #
     @cached_class_function
     def CreateMakeFile(self, CreateLibraryMakeFile=True, GenFfsList = []):
-        # nest this function inside it's only caller.
+        # nest this function inside its only caller.
         def CreateTimeStamp():
             FileSet = {self.MetaFile.Path}
 
diff --git a/BaseTools/Source/Python/BPDG/GenVpd.py b/BaseTools/Source/Python/BPDG/GenVpd.py
index 887a0c4a1f..049c082f40 100644
--- a/BaseTools/Source/Python/BPDG/GenVpd.py
+++ b/BaseTools/Source/Python/BPDG/GenVpd.py
@@ -312,7 +312,7 @@ class GenVPD :
 
     ##
     # Parser the input file which is generated by the build tool. Convert the value of each pcd's
-    # from string to it's real format. Also remove the useless line in the input file.
+    # from string to its real format. Also remove the useless line in the input file.
     #
     def ParserInputFile (self):
         count = 0
@@ -483,7 +483,7 @@ class GenVPD :
         self.PcdFixedOffsetSizeList.sort(key=lambda x: x.PcdBinOffset)
 
         #
-        # Sort the un-fixed pcd's offset by it's size.
+        # Sort the un-fixed pcd's offset by its size.
         #
         self.PcdUnknownOffsetList.sort(key=lambda x: x.PcdBinSize)
 
@@ -605,7 +605,7 @@ class GenVPD :
             # Usually it will not enter into this thunk, if so, means it overlapped.
             else :
                 EdkLogger.error("BPDG", BuildToolError.ATTRIBUTE_NOT_AVAILABLE,
-                                "The offset value definition has overlapped at pcd: %s, it's offset is: %s, in file: %s line: %s" % \
+                                "The offset value definition has overlapped at pcd: %s, its offset is: %s, in file: %s line: %s" % \
                                 (eachFixedPcd.PcdCName, eachFixedPcd.PcdOffset, eachFixedPcd.InputFileName, eachFixedPcd.Lineno),
                                 None)
                 FixOffsetSizeListCount += 1
diff --git a/BaseTools/Source/Python/Common/ToolDefClassObject.py b/BaseTools/Source/Python/Common/ToolDefClassObject.py
index 5d692ea13c..4fa364942c 100644
--- a/BaseTools/Source/Python/Common/ToolDefClassObject.py
+++ b/BaseTools/Source/Python/Common/ToolDefClassObject.py
@@ -105,7 +105,7 @@ class ToolDefClassObject(object):
 
     ## IncludeToolDefFile
     #
-    # Load target.txt file and parse it as if it's contents were inside the main file
+    # Load target.txt file and parse it as if its contents were inside the main file
     #
     # @param Filename:  Input value for full path of tools_def.txt
     #
diff --git a/BaseTools/Source/Python/UPT/Library/DataType.py b/BaseTools/Source/Python/UPT/Library/DataType.py
index 88559bcc43..bd216786a5 100644
--- a/BaseTools/Source/Python/UPT/Library/DataType.py
+++ b/BaseTools/Source/Python/UPT/Library/DataType.py
@@ -210,7 +210,7 @@ ARCH_LIST = ["IA32",
 ##
 # PCD driver type list items
 #
-PCD_DIRVER_TYPE_LIST = ["PEI_PCD_DRIVER", "DXE_PCD_DRIVER"]
+PCD_DRIVER_TYPE_LIST = ["PEI_PCD_DRIVER", "DXE_PCD_DRIVER"]
 
 ##
 # Boot Mode List Items
diff --git a/BaseTools/Source/Python/UPT/Library/StringUtils.py b/BaseTools/Source/Python/UPT/Library/StringUtils.py
index e43924fa6c..fbc5177caf 100644
--- a/BaseTools/Source/Python/UPT/Library/StringUtils.py
+++ b/BaseTools/Source/Python/UPT/Library/StringUtils.py
@@ -863,7 +863,7 @@ def ConvertNOTEQToNE(Expr):
 ## SplitPcdEntry
 #
 # Split an PCD entry string to Token.CName and PCD value and FFE.
-# NOTE: PCD Value and FFE can contain "|" in it's expression. And in INF specification, have below rule.
+# NOTE: PCD Value and FFE can contain "|" in its expression. And in INF specification, have below rule.
 # When using the characters "|" or "||" in an expression, the expression must be encapsulated in
 # open "(" and close ")" parenthesis.
 #
diff --git a/BaseTools/Source/Python/UPT/Logger/StringTable.py b/BaseTools/Source/Python/UPT/Logger/StringTable.py
index 7782d26238..13c015844e 100644
--- a/BaseTools/Source/Python/UPT/Logger/StringTable.py
+++ b/BaseTools/Source/Python/UPT/Logger/StringTable.py
@@ -251,7 +251,7 @@ ERR_ASBUILD_PCD_SECTION_TYPE = _("The AsBuilt INF file contains a PCD section ty
 ERR_ASBUILD_PATCHPCD_FORMAT_INVALID = _("The AsBuilt PatchPcd entry must contain 3 elements: PcdName|Value|Offset")
 ERR_ASBUILD_PCDEX_FORMAT_INVALID = _("The AsBuilt PcdEx entry must contain one element: PcdName")
 ERR_ASBUILD_PCD_VALUE_INVALID = \
-    _("The AsBuilt PCD value %s is incorrect or not align with it's datum type %s. "
+    _("The AsBuilt PCD value %s is incorrect or not align with its datum type %s. "
       "It must be corrected before continuing.")
 ERR_ASBUILD_PCD_TOKENSPACE_GUID_VALUE_MISS = _("Package file value could not be retrieved for %s.")
 ERR_ASBUILD_PCD_DECLARITION_MISS = _("PCD Declaration in DEC files could not be found for: %s.")
diff --git a/BaseTools/Source/Python/UPT/Object/Parser/InfBuildOptionObject.py b/BaseTools/Source/Python/UPT/Object/Parser/InfBuildOptionObject.py
index 3383dc4b0f..fdba5db983 100644
--- a/BaseTools/Source/Python/UPT/Object/Parser/InfBuildOptionObject.py
+++ b/BaseTools/Source/Python/UPT/Object/Parser/InfBuildOptionObject.py
@@ -49,7 +49,7 @@ class InfBuildOptionsObject(InfSectionCommonDef):
         InfSectionCommonDef.__init__(self)
     ## SetBuildOptions function
     #
-    # For BuildOptionName, need to validate it's format
+    # For BuildOptionName, need to validate its format
     # For BuildOptionValue, just ignore it.
     #
     # @param  Arch          Indicated which arch of build options belong to.
-- 
2.20.1 (Apple Git-117)

